REST Documentation

View InboundXML Docs

Interrupt Call

To change the behavior of live calls, TelAPI provides the ability to interrupt calls in real time and end or redirect them to InboundXML for execution.

Request URI

Interruption of a live call can be achieving using HTTP POST on the URI below.

POST https://api.telapi.com/v1/Accounts/{AccountSid}/Calls/{CallSid}

Parameters

The parameters below are used to specify the interrupt behavior.

Parameter Description
optional
The URL in-progress calls can be forwarded to. A set of default parameters will be sent here.
optional
Specifies the HTTP method used to request the redirect URL.
Default Value:
POST
Allowed Value:
POST or GET
optional
The status used to end the call. canceled only ends queued/ringing calls while completed ends in-progress calls as well as queued/ringing calls.
Allowed Value:
canceled or completed

Example Response

Using this method modifies the resource properties associated with the given {CallSid}. An example of what a response to this request may look like is below.



Helper Example

Our helper libraries simplify the task of making REST API calls while programming. The code below will perform a request to TelAPI.